Archive a workspace
curl --request DELETE \
--url https://v1.api.altostrat.io/workspaces/{workspaceId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://v1.api.altostrat.io/workspaces/{workspaceId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://v1.api.altostrat.io/workspaces/{workspaceId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"type": "conflict_error",
"code": "workspace_not_empty",
"message": "Cannot archive workspace because billing account 'Main Billing' has active subscriptions: sub_123, sub_456. Please cancel or transfer these subscriptions before archiving.",
"doc_url": "https://docs.altostrat.io/errors/workspace_not_empty"
}{
"type": "api_error",
"code": "internal_server_error",
"message": "An internal server error occurred. Please try again later.",
"doc_url": "https://docs.altostrat.io/errors/internal_server_error"
}Workspaces
Archive a workspace
Archives a workspace, preventing any further modifications. A workspace cannot be archived if it contains organizations with active resource usage or billing accounts with active subscriptions. This is a soft-delete operation. Only workspace owners can perform this action.
DELETE
/
workspaces
/
{workspaceId}
Archive a workspace
Was this page helpful?
⌘I